%define		php_name	php%{?php_suffix}
%define		modname	zlib_filter
%define		status		stable
Summary:	%{modname} - zlib filter implementation backport for PHP 5.0
Summary(pl.UTF-8):	%{modname} - backport implementacji filtra zlib dla PHP 5.0
Name:		%{php_name}-pecl-%{modname}
Version:	1.1
Release:	8
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	1ebb48e3fd1be4593a4eb217fbc1ab53
URL:		http://pecl.php.net/package/zlib_filter/
BuildRequires:	%{php_name}-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pear-%{modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC 1951 inflate/deflate stream filter implementation. Performs inline
compression/decompression using the deflate method on any PHP I/O
stream. The data produced by this filter, while compatable with the
payload portion of an RFC 1952 gzip file, does not include headers or
tailers for full RFC 1952 gzip compatability. To achieve this format,
use the compress.zlib:// fopen wrapper built directly into PHP.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Implementacja filtra strumienia inflate/deflate zgodna z RFC 1951.
Wykonuje kompresję/dekompresję metodą deflate na dowolnym strumieniu
I/O PHP. Dane stworzone przez ten filtr, będąc kompatybilnymi z
częścią RFC 1952 dotyczącą payloadu pliku gzip, nie zawierają
nagłówków ani końcówek dla pełnej zgodności z gzipem według RFC 1952.
Aby uzyskać ten format, trzeba użyć wrappera fopen compress.zlib://
wbudowanego bezpośrednio w PHP.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -qc
mv %{modname}-%{version}/* .

%build
phpize
%configure \
	--with-zlib-filter=/usr
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install -p modules/%{modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Nov 24 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-zlib_filter.git;a=log;h=AC-branch

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 8069409
provide php(extname) to really be supporting multiple php versions

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> 541fdff
support building for multiple php versions

* Tue Jan 31 2012 Elan Ruusamäe <glen@pld-linux.org> b676e3c
- release 7

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1f44bec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7dc667f
- converted to UTF-8

* Tue Jan 02 2007 Elan Ruusamäe <glen@pld-linux.org> f4e335b
- use new php extension related macros

* Thu Dec 14 2006 Elan Ruusamäe <glen@pld-linux.org> 687db9b
- rel 6 (php 5.2.0)

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 87333aa
- BR rpmmacros for fixed %requires_php_extension

* Thu Dec 22 2005 Elan Ruusamäe <glen@pld-linux.org> 56cdaae
- rel 5 (rebuild with new php)

* Sun Oct 30 2005 Elan Ruusamäe <glen@pld-linux.org> 271ca6f
- rel 4

* Sat Oct 29 2005 Elan Ruusamäe <glen@pld-linux.org> 758fa80
- rebuild with zts and debug requires

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 467bfc5
- rel 2

* Wed Sep 14 2005 Elan Ruusamäe <glen@pld-linux.org> 7d0af38
- conf.d and php api macros

* Tue Sep 13 2005 Elan Ruusamäe <glen@pld-linux.org> 59dffca
- superfluous BR libtool removed

* Thu Aug 12 2004 ankry <ankry@pld-linux.org> 4a8c312
- IMHO better pl

* Thu Aug 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 27a68bc
- pl desc

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 8c7c9fc
- new

